Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class OfficeDrawing.HorizontalPositioning

    java.lang.Object
      org.apache.poi.hwpf.usermodel.OfficeDrawing.HorizontalPositioning

Enclosing interface:
  OfficeDrawing

    public static class OfficeDrawing.HorizontalPositioning

extends java.lang.Object

Field Summary
`static OfficeDrawing.HorizontalPositioning` | `ABSOLUTE` The shape is horizontally offset by an absolute distance from the page element.
`static OfficeDrawing.HorizontalPositioning` | `CENTER` The shape is horizontally positioned at the center of the page element.
`static OfficeDrawing.HorizontalPositioning` | `INSIDE` The shape is horizontally positioned like `LEFT` on odd-numbered pages and like `RIGHT` on even-numbered pages.
`static OfficeDrawing.HorizontalPositioning` | `LEFT` The shape is horizontally positioned at the left side of the page element.
`static OfficeDrawing.HorizontalPositioning` | `OUTSIDE` The shape is horizontally positioned like `RIGHT` on odd-numbered pages and like `LEFT` on even-numbered pages.
`static OfficeDrawing.HorizontalPositioning` | `RIGHT` The shape is horizontally positioned at the right side of the page element.

Constructor Summary
`OfficeDrawing.HorizontalPositioning()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSOLUTE

    public static final OfficeDrawing.HorizontalPositioning ABSOLUTE

  The shape is horizontally offset by an absolute distance from the page element.

### CENTER

    public static final OfficeDrawing.HorizontalPositioning CENTER

  The shape is horizontally positioned at the center of the page element.

### INSIDE

    public static final OfficeDrawing.HorizontalPositioning INSIDE

  The shape is horizontally positioned like `LEFT` on odd-numbered pages and like `RIGHT` on even-numbered pages.

### LEFT

    public static final OfficeDrawing.HorizontalPositioning LEFT

  The shape is horizontally positioned at the left side of the page element.

### OUTSIDE

    public static final OfficeDrawing.HorizontalPositioning OUTSIDE

  The shape is horizontally positioned like `RIGHT` on odd-numbered pages and like `LEFT` on even-numbered pages.

### RIGHT

    public static final OfficeDrawing.HorizontalPositioning RIGHT

  The shape is horizontally positioned at the right side of the page element.

Constructor Detail

### OfficeDrawing.HorizontalPositioning

    public OfficeDrawing.HorizontalPositioning()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD